Bug 1760828 - Determination of active pods can be incorrect.
Summary: Determination of active pods can be incorrect.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Sahil Budhwar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-11 12:33 UTC by spathak@redhat.com
Modified: 2020-05-13 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: If a rollout failed, we always showed the latest revision, not the currently active. Consequence: If the two consecutive rollouts failed then we showed failed pods on the UI Fix: When a rollout fails we check for the last successful rollout with active replication controllers. Result: Correct data is shown on pods if a rollout fails i.e. last active revision
Clone Of:
Environment:
Last Closed: 2020-05-13 21:52:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3627 'None' closed Bug 1760828: update Active RC logic to not show Failed deployments 2020-09-21 11:07:01 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:52:06 UTC

Description spathak@redhat.com 2019-10-11 12:33:08 UTC
Description of problem:
If a rollout fails, we always show the latest revision, not the current, active RC (n-1).
We want to show what's active with some indication that the last rollout failed.

See https://github.com/openshift/console/pull/2005#discussion_r304099540

Comment 1 cvogt 2019-11-07 15:01:40 UTC
tracking: https://jira.coreos.com/browse/ODC-1412

Comment 3 Gajanan More 2020-01-16 09:25:31 UTC
I have validated this bug on the,
Build: 4.4.0-0.ci-2020-01-16-043412
Browser: Google Version 78.0.3904.108

Comment 5 errata-xmlrpc 2020-05-13 21:52:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.